## bash2 2.05b-1maemo2

=== debian/changelog ===
bash2 (2.05b-1maemo2) diablo; urgency=low

  * Re-worked the post-installation scripts. Insted of unconditionally
    replacing user shell with bash there's now a interactive shell script
    that will get launched when you interactively log in for the first time.
  * Enabled thumb instructions, which made the binary about 20% smaller.

 -- Andrew Zabolotny <zap@homelink.ru>  Tue,  5 Aug 2008 03:22:27 +0400

bash2 (2.05b-1maemo1) diablo; urgency=low

  * Initial release of bash for maemo

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 19 Jul 2008 23:04:24 +0400
