=== debian/control ===
Source: bash2
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/tools
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
Standards-Version: 3.6.1
Build-Depends: patch, bison, libncurses5-dev, libreadline4-dev, make (>=
  3.80), debhelper (>= 4.1)

Package: bash2
Architecture: any
Depends: ${shlibs:Depends}
Section: user/tools
Provides: bash
Conflicts: bash
Replaces: bash
Priority: optional
Description: The GNU Bourne Again SHell branch 2.x, tuned for maemo
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 This is a special version for the Maemo platform, with everything
 that is not too useful on a Internet Tablet stripped off.
